当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 我把firefox覆盖了,555
帖子发表于 : 2005-12-21 20:00 

注册: 2005-12-18 8:29
帖子: 30
送出感谢: 0 次
接收感谢: 0 次
我下载了firefox1.5然后覆盖在了firefox1.07的目录下。结果现在安装其他软件时都会提示我错误,如下
正在设置 firefox (1.0.7-0ubuntu20) ...
Updating mozilla-firefox chrome registry.../usr/sbin/update-mozilla-firefox-chrome: line 106: 8901 段错误 firefox-bin -register >/dev/null 2>&1
E: Registration process existed with status: 139
E: /usr/lib/mozilla-firefox/extensions/installed-extensions.txt still present. Registration might have gone wrong.
mv: stat‘/usr/lib/mozilla-firefox/defaults.ini’失败: 没有那个文件或目录
dpkg:处理 firefox (--configure)时出错:
子进程·post-installation script·返回了错误号·1
dpkg:依赖关系问题使得 mozilla-firefox 的配置工作不能继续:
mozilla-firefox 依赖于 firefox;然而:
软件包 firefox还没有被配置。
dpkg:处理 mozilla-firefox (--configure)时出错:
依赖关系问题 - 仍未被配置
在处理时有错误发生:
firefox
mozilla-firefox
E: Sub-process /usr/bin/dpkg returned an error code (1)

现在根本无法安装软件了,firefox也没法用了,这课怎么办啊


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2005-12-21 20:28 

注册: 2005-09-08 0:29
帖子: 39
送出感谢: 0 次
接收感谢: 0 次
既然已经错了,干脆就让他错到底吧。
1、首先删除/usr/lib/mozilla-firefox/目录下的全部内容。
2、重新解压firefox1.5
3、copy firefox 目录下的全部内容到/usr/lib/mozilla-firefox/目录下。
4、删除~/.mozilla 目录
这样保证你能用firefox1.5,但你得忍受以下几个问题
a.系统菜单下的GNOME“帮助”不能再使用
b.系统菜单下的“关于Ubuntu”不能再使用
c. 应用程序菜单下的“Add Applications”不能再使用


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2005-12-21 20:58 

注册: 2005-12-18 8:29
帖子: 30
送出感谢: 0 次
接收感谢: 0 次
谢谢,我现在已经用不了add aoolications了。
其他倒不在乎,关键是现在装不了其他软件了。这让我很郁闷


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2005-12-21 21:08 

注册: 2005-09-08 0:29
帖子: 39
送出感谢: 0 次
接收感谢: 0 次
你照我说的做,保证新立得能恢复使用。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2005-12-21 21:25 

注册: 2005-12-18 8:29
帖子: 30
送出感谢: 0 次
接收感谢: 0 次
新力得能启动,但是一装东西就出错


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2005-12-21 21:31 

注册: 2005-12-18 8:29
帖子: 30
送出感谢: 0 次
接收感谢: 0 次
4、删除~/.mozilla 目录
是哪个目录?


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2005-12-21 21:40 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
rm ~/.mozilla -R


_________________
● 鸣学


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2005-12-21 21:41 

注册: 2005-09-08 0:29
帖子: 39
送出感谢: 0 次
接收感谢: 0 次
就是你自己目录下的 .mozilla


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2005-12-21 21:57 

注册: 2005-12-18 8:29
帖子: 30
送出感谢: 0 次
接收感谢: 0 次
没有那个目录阿


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2005-12-21 21:59 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
synaptic出错是什么。


_________________
● 鸣学


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2005-12-21 22:13 

注册: 2005-12-21 20:58
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
可以试试

apt-get remove mozilla-firefox firefox

然后再重新安装是否能起作用


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2005-12-21 22:15 

注册: 2005-09-08 0:29
帖子: 39
送出感谢: 0 次
接收感谢: 0 次
sanpetter 写道:
没有那个目录阿


带 .的目录是隐藏目录, 找不到的话,就照7楼的办法直接打命令。


页首
 用户资料  
 
13 楼 
 文章标题 : 我的恢复正常了
帖子发表于 : 2005-12-31 13:08 

注册: 2005-12-07 10:32
帖子: 48
送出感谢: 0 次
接收感谢: 0 次
呵呵,我也是犯了和楼主一样的错误,我是这样处理的:
用locate 找到所有firefox相关的文件、目录,全部删除,然后再用apt-get安装即可:
$ sudo apt-get install firefox

安装的就是最新版本啦


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译